apply plugin: 'com.android.application'

android {
    signingConfigs {        release {
        storeFile file('./keystore/gamehall.keystore')
        storePassword 'tswl2015'
            keyPassword 'tswl2015'
            keyAlias = 'gamehall'
            v1SigningEnabled true
            v2SigningEnabled true
        }

        debug {
            storeFile file('./keystore/gamehall.keystore')
            storePassword 'tswl2015'
            keyPassword 'tswl2015'
            keyAlias = 'gamehall'
            v1SigningEnabled true
            v2SigningEnabled true
        }

    }
    compileSdk 33
    buildToolsVersion '33.0.0'

    defaultConfig {
        applicationId "com.jx.jyhd"
        minSdkVersion 21
        targetSdkVersion 32
        versionCode= 3
        versionName="3.6.3"
        multiDexEnabled true

        ndk {
            abiFilters 'armeabi', 'armeabi-v7a', 'arm64-v8a', 'x86', 'x86_64'//, 'mips', 'mips64'
        }

    }

    buildTypes {
        release {
            minifyEnabled false
            proguardFiles getDefaultProguardFile('proguard-android.txt'), 'proguard-rules.txt'
            signingConfig signingConfigs.release
        }
    }
    compileOptions {
        sourceCompatibility JavaVersion.VERSION_1_8
        targetCompatibility JavaVersion.VERSION_1_8
    }
    lintOptions {
        abortOnError false
        checkReleaseBuilds false
    }
}

dependencies {
    //noinspection GradleCompatible
    implementation 'com.android.support:support-v4:28.0.0'
    //noinspection GradleCompatible
    implementation 'com.android.support:appcompat-v7:28.0.0'
    implementation 'com.google.code.gson:gson:2.8.9'
    implementation 'com.yanzhenjie.nohttp:nohttp:1.1.2'
    implementation 'com.orhanobut:logger:2.2.0'
    implementation 'com.android.volley:volley:1.2.1'
    implementation 'com.tencent.bugly:crashreport:3.4.4'
    implementation 'com.android.support:multidex:1.0.3'
    implementation 'com.umeng.sdk:common:1.5.0'
    implementation 'com.umeng.sdk:analytics:7.5.0'
    implementation 'com.squareup.okhttp3:okhttp:4.12.0'
    implementation 'com.squareup.okio:okio:3.6.0'
    implementation 'org.nanohttpd:nanohttpd:2.3.1'
    implementation 'com.qiniu:happy-dns:2.0.0'
    implementation ('com.qiniu:qiniu-android-sdk:8.5.0'){
        exclude (group: 'com.squareup.okhttp3', module: 'okhttp')
    }
    implementation('com.qiniu:qiniu-java-sdk:7.7.0') {
        exclude group: 'com.squareup.okhttp3', module: 'okhttp'
    }
    implementation 'android.arch.lifecycle:extensions:1.1.1'
    api 'com.tencent.tbs:tbssdk:44286'
    api 'com.tencent.mm.opensdk:wechat-sdk-android:6.8.11'
    implementation fileTree(include: ['*.jar'], dir: 'libs')
    implementation files('libs/AMap2DMap_5.2.0_AMapSearch_6.9.2_AMapLocation_4.7.2_20191009.jar')
}
